PETSc version 3.15.5
Fix/Edit manual page

# PCMGRegisterCoarseSpaceConstructor

Adds a method to the PCMG package for coarse space construction.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGRegisterCoarseSpaceConstructor(const char name[], PetscErrorCode (*function)(PC, PetscInt, DM, KSP, PetscInt, const Vec[], Vec **))

Not collective

### Input Parameters

| name | - name of the constructor
| function | - constructor routine

### Notes

### Calling sequence for the routine

    my_csp(PC pc, PetscInt l, DM dm, KSP smooth, PetscInt Nc, const Vec initGuess[], Vec **coarseSp)

      pc        - The PC object

      l         - The multigrid level, 0 is the coarse level

      dm        - The DM for this level

      smooth    - The level smoother

      Nc        - The size of the coarse space

      initGuess - Basis for an initial guess for the space

      coarseSp  - A basis for the computed coarse space

### See Also

PCMGGetCoarseSpaceConstructor(), PCRegister()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages